package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Mmrelation1;
import com.muchinfo.mtp3pojos.entity.Mmrelation2;
import com.muchinfo.mtp3pojos.entity.Quoter;
import com.muchinfo.mtp3pojos.vo.common.OrganSelectResult;
import com.muchinfo.mtp3pojos.vo.tradingmarket.*;

import javax.servlet.http.HttpServletRequest;

public interface ITradingMarketService {

    PageResult<Quoter> queryquoter(TradingMarketQuoterParam param, HttpServletRequest request);

    AjaxResult quoteradd(TradingMarketQuoterAddParam param, HttpServletRequest request);

    AjaxResult delquoter(Long quoterid, HttpServletRequest request);

    PageResult<Mmrelation1> queryFirstRelation(Long quoterid, Integer pageSize, Integer pageNum, HttpServletRequest request);

    AjaxResult<TradingMarketQuoterFirstResult> getQuoterOrgan(Long quoterid, Long matchuserid, HttpServletRequest request);

    AjaxResult quoteraddFir(TradingMarketQuoterFirstAddParam param, HttpServletRequest request);

    AjaxResult quotereditFir(TradingMarketQuoterFirstAddParam param, HttpServletRequest request);

    AjaxResult quoterisvalid(Long memberuserid, Long quoterid, HttpServletRequest request);

    PageResult<TradingManualQuoterResult> manualQuoter(TradingManualQuoterParam param, HttpServletRequest request);

    AjaxResult<TradingManualQuoterViewResult> manualQuoterView(Long goodsid, HttpServletRequest request);

    AjaxResult newquote(TradingManualNewQuoterParam param, HttpServletRequest request);

    PageResult<TradingQuerySecRelationResult> querySecRelation(Long memberuserid, Integer pageSize, Integer pageNum, HttpServletRequest request);

    AjaxResult<OrganSelectResult> selectOrgan(String searchcode, HttpServletRequest request);

    AjaxResult<TradingMarketSecRelationResult> getMarketing(Long memberuserid, HttpServletRequest request);

    AjaxResult modifySec(TradigModifySecAddParam param, HttpServletRequest request);

    AjaxResult isvalid2(Long memberuserid, Long matchuserid, HttpServletRequest request);
}
